use glium;

#[derive(Debug)]
pub enum Error {
    TextureCreationError(glium::texture::TextureCreationError),
    PackingError,
    NotAGlyph(char),
}

impl From<glium::texture::TextureCreationError> for Error {
    fn from(err: glium::texture::TextureCreationError) -> Error {
        Error::TextureCreationError(err)
    }
}
